- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CSL_MMCControllerObj Struct Reference
MMC/SD Data Structures

structure for card specific information. More...

`#include <csl_mmcsd.h>`

## Data Fields
CSL_MmcsdRegsOvly | mmcRegs
CSL_MMCCardObj * | cardObj
Uint16 | numCardsActive
CSL_MMCCallBackObj * | callBackTbl
CSL_MMCSDOpMode | opMode
CSL_DMA_Handle | hDmaWrite
CSL_DMA_Handle | hDmaRead
CSL_DMA_Config | dmaWriteCfg
CSL_DMA_Config | dmaReadCfg
CSL_MMCDataTxferCallBackPtr | dataTransferCallback
Bool | isCallbackSet
CSL_MMCSDCidStruct | cidSliceInfo
CSL_MMCSDCsdStruct | csdSliceInfo
CSL_MmcsdEndianMode | readEndianMode
CSL_MmcsdEndianMode | writeEndianMode
Uint16 | blockLen

## Detailed Description

structure for card specific information.

## Field Documentation

Uint16 CSL_MMCControllerObj::blockLen

Block length used for memory card

Referenced by MMC_open(), MMC_read(), MMC_setBlockLength(), and MMC_write().

CSL_MMCCallBackObj* CSL_MMCControllerObj::callBackTbl

Pointer to call back table obj

Referenced by MMC_setCallBack().

CSL_MMCCardObj* CSL_MMCControllerObj::cardObj

Pointer to card Objects

Referenced by MMC_getCardCsd(), MMC_getCardStatus(), MMC_issueReadCommand(), MMC_read(), MMC_readNSectors(), MMC_saveStatus(), MMC_selectCard(), MMC_sendAllCID(), MMC_sendOpCond(), MMC_setCardPtr(), MMC_setRca(), MMC_setWriteBlkEraseCnt(), MMC_write(), MMC_writeNSectors(), MMC_writeSector(), SD_configurePullup(), SD_getCardCsd(), SD_sendAllCID(), SD_sendRca(), and SD_setBusWidth().

CSL_MMCSDCidStruct CSL_MMCControllerObj::cidSliceInfo

CID slice information strcuture

Referenced by MMC_sendAllCID(), and SD_sendAllCID().

CSL_MMCSDCsdStruct CSL_MMCControllerObj::csdSliceInfo

CSD slice information strcuture

Referenced by MMC_getCardCsd(), MMC_read_CID(), MMC_read_CSD(), and SD_getCardCsd().

CSL_MMCDataTxferCallBackPtr CSL_MMCControllerObj::dataTransferCallback

Call back function for data tranfers

Referenced by MMC_read(), MMC_setDataTransferCallback(), and MMC_write().

CSL_DMA_Config CSL_MMCControllerObj::dmaReadCfg

DMA config structure for read

Referenced by MMC_open(), MMC_read(), and MMC_setDmaChanConfig().

CSL_DMA_Config CSL_MMCControllerObj::dmaWriteCfg

DMA config structure for write

Referenced by MMC_open(), MMC_setDmaChanConfig(), and MMC_write().

CSL_DMA_Handle CSL_MMCControllerObj::hDmaRead

Handle to DMA read channel

Referenced by MMC_close(), MMC_open(), MMC_read(), and MMC_setDmaHandle().

CSL_DMA_Handle CSL_MMCControllerObj::hDmaWrite

Handle to DMA write channel

Referenced by MMC_close(), MMC_open(), MMC_setDmaHandle(), and MMC_write().

Bool CSL_MMCControllerObj::isCallbackSet

Flag to enable callback request

Referenced by MMC_open(), MMC_read(), MMC_setDataTransferCallback(), and MMC_write().

CSL_MmcsdRegsOvly CSL_MMCControllerObj::mmcRegs

Pointer to MMC regs structure

Referenced by MMC_clearResponse(), MMC_close(), MMC_config(), MMC_deselectCard(), MMC_drrdy(), MMC_dxrdy(), MMC_eventDisable(), MMC_eventEnable(), MMC_getCardCsd(), MMC_getCardStatus(), MMC_getConfig(), MMC_getEventId(), MMC_getStatus(), MMC_ierDisable(), MMC_ierEnable(), MMC_intEnable(), MMC_open(), MMC_read(), MMC_saveStatus(), MMC_selectCard(), MMC_sendAllCID(), MMC_sendCmd(), MMC_sendGoIdle(), MMC_sendOpCond(), MMC_setBlockLength(), MMC_setEndianMode(), MMC_setRca(), MMC_setupNative(), MMC_setWriteBlkEraseCnt(), MMC_stop(), MMC_write(), SD_configurePullup(), SD_getCardCsd(), SD_sendAllCID(), SD_sendRca(), and SD_setBusWidth().

Uint16 CSL_MMCControllerObj::numCardsActive

Number of cards active/ready

Referenced by MMC_deselectCard(), MMC_getNumberOfCards(), and MMC_selectCard().

CSL_MMCSDOpMode CSL_MMCControllerObj::opMode

Operating mode of MMCSD

Referenced by MMC_close(), MMC_open(), MMC_read(), MMC_setDmaChanConfig(), MMC_setDmaHandle(), and MMC_write().

CSL_MmcsdEndianMode CSL_MMCControllerObj::readEndianMode

Endian mode for read operation

Referenced by MMC_issueReadCommand(), MMC_open(), MMC_read(), and MMC_setEndianMode().

CSL_MmcsdEndianMode CSL_MMCControllerObj::writeEndianMode

Endian mode for write operation

Referenced by MMC_open(), MMC_setEndianMode(), MMC_write(), and MMC_writeSector().

The documentation for this struct was generated from the following file:

- csl_mmcsd.h